NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-certificates - Documentation for the /organization/projects/{project_id}/certificates path.

OPERATIONS

GET /organization/projects/{project_id}/certificates

listProjectCertificates

$client->list_project_certificates({
    body => { ... },
});

List certificates for this project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • limit (in query, optional, integer) - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

    Default: 20

  • after (in query, optional, string) - A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

  • order (in query, optional, string) - Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

    Allowed values: asc, desc

    Default: desc

Responses

200 - Certificates listed successfully.

Content-Type: application/json

Example:

{
   "data" : [
      {
         "active" : false,
         "certificate_details" : {
            "expires_at" : 0,
            "valid_at" : 0
         },
         "created_at" : 0,
         "id" : "string",
         "name" : "string",
         "object" : "organization.project.certificate"
      }
   ],
   "first_id" : "cert_abc",
   "has_more" : false,
   "last_id" : "cert_abc",
   "object" : "list"
}

SCHEMAS

ListProjectCertificatesResponse

Properties:

  • data (array of OrganizationProjectCertificate, required)

  • first_id (anyOf, required)

  • has_more (boolean, required)

  • last_id (anyOf, required)

  • object (string, required)

    Allowed values: list

OrganizationProjectCertificate

Properties:

  • active (boolean, required) - Whether the certificate is currently active at the project level.

  • certificate_details (object, required)

  • created_at (integer, required) - The Unix timestamp (in seconds) of when the certificate was uploaded.

  • id (string, required) - The identifier, which can be referenced in API endpoints

  • name (anyOf, required) - The name of the certificate.

  • object (string, required) - The object type, which is always organization.project.certificate .

    Allowed values: organization.project.certificate

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.